from wagtail.admin.edit_handlers import (
    FieldPanel,
    MultiFieldPanel,
    StreamFieldPanel,
)
from wagtail.images.edit_handlers import ImageChooserPanel

from pfmsite.utils.pages import AbstractBasePage

from .models import ArticlePage

ArticlePage.content_panels = AbstractBasePage.content_panels + [
    MultiFieldPanel(
        [
            ImageChooserPanel('image'),
            FieldPanel('introduction'),
            FieldPanel('tags'),
        ],
        heading='Entête',
    ),
    StreamFieldPanel('body'),
]
