import pytest
from wagtail_webradio.models import Podcast, RadioShow

from pfmsite.radio.tests import factories


@pytest.fixture
def radio_show():
    return RadioShow.objects.create(
        title='La voix sans maître',
    )


@pytest.fixture
def podcast(radio_show):
    return Podcast.objects.create(
        title='interview de M. Ravachol',
        description='<p>M. Ravachol nous parle de ses dernières pensées.</p>',
        sound_url='https://server.org/sound.ogg',
        radio_show=radio_show,
        slug='interview-de-ravachol',
    )


@pytest.fixture
def one_tagged_podcast(radio_show):
    podcast = Podcast(
        title='Dansons la ravachole',
        description='<p>Dans ce podcast, venez danser la ravachole!</p>',
        sound_url='https://server.org/dansons-la-ravachole.ogg',
        radio_show=radio_show,
        slug='danson-la-ravachol',
    )
    podcast.tags.add('music')
    podcast.save()
    return podcast


@pytest.fixture
def tagged_podcasts(radio_show):
    return factories.TaggedPodcastFactory.create_batch(3)
