from wagtail.admin.edit_handlers import (
    FieldPanel,
    FieldRowPanel,
    MultiFieldPanel,
    PageChooserPanel,
    StreamFieldPanel,
)
from wagtail.images.edit_handlers import ImageChooserPanel

from pfmsite.utils.pages import AbstractBasePage

from .models import DisplaySettings, HomePage, MenuSettings, StandardPage

HomePage.content_panels = AbstractBasePage.content_panels + [
    StreamFieldPanel('tags'),
]

StandardPage.content_panels = AbstractBasePage.content_panels + [
    StreamFieldPanel('body'),
]

StandardPage.promote_panels = AbstractBasePage.promote_panels + [
    FieldPanel('show_title'),
]

MenuSettings.panels = [StreamFieldPanel('menu')]

DisplaySettings.panels = [
    MultiFieldPanel(
        [
            ImageChooserPanel('header_banner'),
            FieldPanel('banner_text_color'),
        ],
        heading="Bannière de l'entête",
    ),
    MultiFieldPanel(
        [
            FieldPanel('infos'),
            FieldRowPanel(
                [
                    FieldPanel('email'),
                    FieldPanel('phone'),
                ]
            ),
            PageChooserPanel('legal_page'),
            StreamFieldPanel('buttons'),
        ],
        heading='Informations',
    ),
    MultiFieldPanel(
        [
            ImageChooserPanel('radioshow_default_picture'),
            ImageChooserPanel('podcast_default_picture'),
        ],
        heading="Images par défaut",
    ),
    FieldPanel('tracking_code', heading="Code de suivi pour les statistiques"),
]
