from wagtail.core.blocks import CharBlock, StreamBlock, StructBlock

from wagtail_cblocks.blocks import (
    ButtonBlock,
    ColumnsBlock,
    HeadingBlock,
    ImageBlock,
    LinkBlock,
    ParagraphBlock,
    Style,
)

BUTTON_STYLES = [
    Style('primary', 'Principal, rouge', 'btn-primary'),
    Style('secondary', 'gris', 'btn-secondary'),
]


class BaseBlock(StreamBlock):
    title_block = HeadingBlock()
    paragraph_block = ParagraphBlock()
    button_block = ButtonBlock(styles=BUTTON_STYLES, default_style='primary')
    image_block = ImageBlock()


class BodyBlock(BaseBlock):
    columns_block = ColumnsBlock(BaseBlock())


class MenuItemBlock(StructBlock):
    """Un item de menu"""

    text = CharBlock(label="Texte")
    link = LinkBlock()

    class Meta:
        template = 'menu/menu_item_block.html'
