from django.core.exceptions import ValidationError

import pytest

from ..models import DisplaySettings

TRACKING_CODE = """
var _paq = window._paq || [];
_paq.push(['trackPageView']);
_paq.push(['enableLinkTracking']);
(function() {
  var u="https://matomo.example.org/";
  _paq.push(['setTrackerUrl', u+'matomo.php']);
  _paq.push(['setSiteId', '1']);
  var d=document, g=d.createElement('script'),
      s=d.getElementsByTagName('script')[0];
  g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'matomo.js';
  s.parentNode.insertBefore(g,s);
})();
"""


class TestSiteSettings:
    def test_clean(self):
        settings = DisplaySettings()
        settings.clean()

        settings.tracking_code = TRACKING_CODE
        settings.clean()

    def test_clean_error(self):
        settings = DisplaySettings(tracking_code='<script>{}</script>')
        with pytest.raises(ValidationError):
            settings.clean()
