from django.urls import path

from .views import (
    PodcastDetailView,
    PodcastListView,
    RadioShowDetailView,
    RadioShowListView,
)

app_name = 'webradio'

urlpatterns = [
    path('', RadioShowListView.as_view(), name='radioshow_list'),
    path(
        'radioshow/<int:pk>',
        RadioShowDetailView.as_view(),
        name='radioshow_detail'
    ),
    path('podcasts', PodcastListView.as_view(), name='podcast_list'),
    path(
        'podcast/<int:pk>',
        PodcastDetailView.as_view(),
        name='podcast_detail',
    ),
]
